Name:		quassel
Version:	0.10.1
%define subrel	1
Release:	%mkrel 5
Summary:	A modern cross-platform distributed (monolithic) IRC client
Source0:	http://quassel-irc.org/pub/quassel-%{version}.tar.bz2
Source1:	networks.ini
Patch0:		quassel-0.11.0-CVE-2014-8483.patch
Patch1:		quassel-0.10.1-ctcp-dos.patch
Patch2:		quassel-0.11.0-CVE-2015-3427.patch
Patch3:		quassel-0.12.2-op-dos.patch
Group:		Networking/IRC
License:	GPLv3
URL:		http://quassel-irc.org/
# Needed to build translations
BuildRequires:	qt4-linguist >= 4:4.6.0
BuildRequires:	kdelibs4-devel
Requires:	quassel-common = %{version}
Provides:	kde4-irc-client

%description
Quassel IRC is a modern, cross-platform, distributed IRC client,
meaning that one (or multiple) client(s) can attach to and detach
from a central core -- much like the popular combination of screen
and a text-based IRC client such as WeeChat, but graphical. In
addition to this uniqe feature, we aim to bring a pleasurable,
comfortable chatting experience to all major platforms (including
Linux®, Windows®, and MacOS X® as well as Qtopia-based cell phones
and PDAs), making communication with your peers not only convenient,
but also ubiquitous available.

%files
%{_bindir}/quassel
%{_kde_applicationsdir}/quassel.desktop

#-----------------------------------------------------------------------

%package common
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Common files
BuildArch: noarch
Requires: qt4-database-plugin-sqlite
Conflicts: quassel < 0.3.1.20090128-4

%description common
A modern, cross-platform, distributed IRC client
- This is client only, depends on a core server.

%files common
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/%{name}.png
%{_kde_appsdir}/quassel
%doc AUTHORS ChangeLog README

#-----------------------------------------------------------------------

%package client
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Client only
Requires: quassel-common = %{version}
%description client
A modern cross-platform distributed IRC client - Client only

%files client
%{_bindir}/quasselclient
%{_kde_applicationsdir}/quasselclient.desktop

#-----------------------------------------------------------------------

%package core
Group: Networking/IRC
Summary: A modern cross-platform distributed IRC client - Core server
Requires: quassel-common = %{version}

%description core
A modern, cross-platform, distributed IRC client - This is quassel
core server for clients.

%files core
%{_bindir}/quasselcore

#-----------------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .CVE-2014-8483
%patch1 -p1 -b .ctcp-dos
%patch2 -p1 -b .CVE-2015-3427
%patch3 -p1 -b .CVE-2015-8547

%build
%cmake_kde4 \
    -DWANT_MONO=ON \
    -DWITH_KDE=ON \
    -DEMBED_DATA=OFF
%make

%install
%makeinstall_std -C build

# Our own defined networks
rm -f %{buildroot}/%{_datadir}/apps/quassel/networks.ini
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/apps/quassel/


%changelog
* Sun Dec 13 2015 luigiwalser <luigiwalser> 0.10.1-5.1.mga5
+ Revision: 910081
- add upstream patch to fix CVE-2015-8547

* Mon Apr 27 2015 luigiwalser <luigiwalser> 0.10.1-5.mga5
+ Revision: 820782
- add upstream patch to fix CVE-2015-3427

* Wed Apr 08 2015 luigiwalser <luigiwalser> 0.10.1-4.mga5
+ Revision: 819917
- rediff patch from opensuse to fix CVE-2015-2778 and CVE-2015-2779

* Mon Oct 27 2014 luigiwalser <luigiwalser> 0.10.1-3.mga5
+ Revision: 793807
- add upstream patch to fix CVE-2014-8483

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-2.mga5
+ Revision: 739593
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 0.10.1-1.mga5
+ Revision: 737663
- 0.10.1

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 688577
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 luigiwalser <luigiwalser> 0.10.0-1.mga5
+ Revision: 609903
- 0.10.0

* Thu Nov 28 2013 luigiwalser <luigiwalser> 0.9.2-1.mga4
+ Revision: 553798
- 0.9.2

* Mon Oct 21 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 541103
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 luigiwalser <luigiwalser> 0.9.1-1.mga4
+ Revision: 495123
- 0.9.1 (fixes CVE-2013-4422)

* Sun Jun 02 2013 luigiwalser <luigiwalser> 0.9.0-1.mga4
+ Revision: 434860
- 0.9.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 380105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 luigiwalser <luigiwalser> 0.8.0-1.mga3
+ Revision: 259609
- 0.8.0
- spec cosmetics (from mdv)

* Wed Apr 25 2012 mikala <mikala> 0.7.4-1.mga2
+ Revision: 233248
- Update tarball to 0.7.4

* Wed Sep 14 2011 mikala <mikala> 0.7.3-1.mga2
+ Revision: 143119
- Update tarball to 0.7.3 ( also fix CVE-2011-3354)
 - make common package noarch
 - client really need to requires common
 - remove %%defattr()
 - remove %%clean section
- Use Suggests for quassel-common for quassel-client
- Remove the requires on quassel-common for quassel-client.

* Mon May 02 2011 ahmad <ahmad> 0.7.2-1.mga1
+ Revision: 94189
- Update to 0.7.2

* Tue Mar 15 2011 mikala <mikala> 0.7.1-3.mga1
+ Revision: 71544
- Enable ssl by default on freenode (& add a non ssl server just in case)

* Thu Jan 20 2011 ahmad <ahmad> 0.7.1-2.mga1
+ Revision: 26613
- adapt networks.ini to Mageia
- imported package quassel

